% Test delle ipotesi sulla media per una campione di dati rappresentati da
% una VA Gaussiana di varianza nota
%
clear all
clc

% Caricamento dei dati e definizione della varianza
dati = load('datiIP1.txt');
varianza = 1.0;
N = length(dati);
mu0 = 10;

% Definizione del livello di significativit
alfa = 0.1;

% Caso a) H1: mu > mu0
% Calcolo di c tale che F(sqrt(N)*(c - mu0)/sigma) = 1 - alfa dove 
% F = CDF(N(0,1))
d = norminv(1 - alfa);
c = d*sqrt(varianza)/sqrt(N) + mu0;

% Confronto media con c
disp('Caso a) H1: mu > mu0')
if (mean(dati) < c)
    disp('Non rigetto l''ipotesi nulla')
else
    disp('Rigetto l''ipotesi nulla')
end

% Caso b) H1: mu < mu0
% Calcolo di c tale che F(sqrt(N)*(c - mu0)/sigma) = alfa dove 
% F = CDF(N(0,1))
d = norminv(alfa);
c = d*sqrt(varianza)/sqrt(N) + mu0;

% Confronto media con c
disp('Caso b) H1: mu < mu0')
if (mean(dati) > c)
    disp('Non rigetto l''ipotesi nulla')
else
    disp('Rigetto l''ipotesi nulla')
end

% Caso c) H1: mu ~= mu0
% Calcolo di c tale che F(sqrt(N)*(c - mu0)/sigma) = 1 - alfa/2 dove 
% F = CDF(N(0,1))
d = norminv(1 - alfa/2);
c = d*sqrt(varianza)/sqrt(N) + mu0;

% Confronto media con c
disp('Caso c) H1: mu ~= mu0')
if (mean(dati) < c & mean(dati) > -c)
    disp('Non rigetto l''ipotesi nulla')
else
    disp('Rigetto l''ipotesi nulla')
end